Subject: Re: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2014 19:46:28 +0200

> Date: Fri, 31 Jan 2014 22:08:06 -0800
> From: Paul Eggert <[email-masked]>
> Cc: [email-masked]
> 
> Darren Hoo wrote:
> 
> > BTW I can only reproduce it on Mac OSX, so it maybe platform specific.
> 
> Sorry, I don't use OS X.  I did build trunk bzr 110151 and 110152 on 
> Fedora 20 x86-64, configured with "./configure CFLAGS='-g3 -O0' 
> --with-x-toolkit=lucid", but I don't observe any difference in behavior.

Could this be caused by the following hunk from r110152's changes?

  @@ -3352,17 +3352,7 @@ ns_read_socket (struct terminal *termina
     if ([NSApp modalWindow] != nil)
       return -1;

  -  if (interrupt_input_blocked)
  -    {
  -      interrupt_input_pending = 1;
  -      pending_signals = 1;
  -      return -1;
  -    }
  -
  -  interrupt_input_pending = 0;
  -  pending_signals = pending_atimers;
  -
  -  BLOCK_INPUT;
  +  block_input ();
     n_emacs_events_pending = 0;
     EVENT_INIT (ev);
     emacs_event = &ev;

This is NS-specific, so it won't cause any changes on Fedora.

The removal of the condition to return early seems to be a non-trivial
change, but I don't really understand the importance of this code.